RK-J - Task #1639

Cache search result needed for canonical url
09/12/2021 02:08 PM - Ram Kordale

Status: Closed Start date: 09/13/2021
Priority: Normal Due date: 09/13/2021
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Description

Accessing a canonical URL results in a search for 'python’ in a standard set of books. Every time someone accesses this URL from
Google search and every access from GoogleBot results in this search. Each search returns the exact same result.

Today, we go to ES for each of these requests. Instead, store it in memory (just like we store autocomplete and autocomplete2

settings) and do not go to ES if it is available in memory.

For now, we need to do this for the 6 books in production as future books will not have this issue because of ticket 1638.

Of course, when these books are updated, the "cache" should be deleted.

History

#1 - 09/13/2021 08:53 AM - Saitej Varri

- Assignee changed from Saitej Varri to Venmuhilan B

#2 - 09/13/2021 09:33 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 09/14/2021 05:33 AM - Venmuhilan B

- Status changed from In Progress to Resolved

#4 - 10/31/2022 05:41 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ram Kordale

#5 - 03/29/2023 09:31 AM - Ram Kordale
- Status changed from Feedback to Closed
